// 是否已开启禁用
let enabled = false;
// 禁用复制/剪切功能
let handler = function (e) {
  e.preventDefault();
  window.postMessage({
    message: '禁止复制',
    type: 'warning'
  });
};

/**
 * 禁用复制
 */
function DisabledCopy() {
  if (!enabled) {
    document.body.addEventListener('copy', handler);
    enabled = true;

    console.log('复制禁用已开启');
  }
}

/**
 * 关闭禁用复制
 */
function LaunchCopy() {
  if (enabled) {
    document.body.removeEventListener('copy', handler);
    enabled = false;
    console.log('复制禁用已关闭');
  }
}

export {
  DisabledCopy,
  LaunchCopy
}
